{
  modulesPath,
  lib,
  nixos-hardware,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
    nixos-hardware.nixosModules.raspberry-pi-4
  ];

  boot = {
    initrd = {
      availableKernelModules = [ "xhci_pci" ];
    };
    loader = {
      generic-extlinux-compatible.enable = true;
    };
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/44444444-4444-4444-8888-888888888888";
    fsType = "ext4";
  };

  hardware.raspberry-pi."4".fkms-3d.enable = true;

  networking = {
    useDHCP = lib.mkDefault true;
  };

  powerManagement.cpuFreqGovernor = "ondemand";

  services.create_ap = {
    enable = true;
    settings = {
      INTERNET_IFACE = "end0";
      WIFI_IFACE = "wlan0";
      SSID = "Flora Mate";
      PASSPHRASE = "VerySecurePassword69123";
    };
  };

  networking.networkmanager.unmanaged = [ "wlan0" ];

  services.minecraft-server = {
    enable = true;
    eula = true;
    declarative = true;
    openFirewall = true;
    serverProperties = {
      accepts-transfers = true;
      difficulty = 3;
      enable-command-block = true;
      enable-rcon = true;
      enable-status = true;
      enable-query = true;
      enforce-secure-profile = false;
      max-players = 10;
      motd = "IT3Bili Minecraft server!";
      snooper-enabled = false;
      spawn-protection = 0;
      "rcon.password" = "AcceseGranted";
    };
  };
}
